Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.amp.amf.testing.ares
Enum ResultType

    java.lang.Object
      java.lang.Enum<ResultType>
          org.eclipse.amp.amf.testing.ares.ResultType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ResultType>, org.eclipse.emf.common.util.Enumerator

    public enum ResultType

extends java.lang.Enum<ResultType>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Result Type', and utility methods for working with them.

See Also:
  `AresPackage.getResultType()`

Enum Constant Summary
`ERROR` The 'Error' literal object.
`FAILURE` The 'Failure' literal object.
`INCOMPLETE` The 'Incomplete' literal object.
`SUCCESS` The 'Success' literal object.

Field Summary
`static int` | `ERROR_VALUE` The 'Error' literal value.
`static int` | `FAILURE_VALUE` The 'Failure' literal value.
`static int` | `INCOMPLETE_VALUE` The 'Incomplete' literal value.
`static int` | `SUCCESS_VALUE` The 'Success' literal value.
`static java.util.List<ResultType>` | `VALUES` A public read-only list of all the 'Result Type' enumerators.

Method Summary
`static ResultType` | `get(int value)` Returns the 'Result Type' literal with the specified integer value.
`static ResultType` | `get(java.lang.String literal)` Returns the 'Result Type' literal with the specified literal value.
`static ResultType` | `getByName(java.lang.String name)` Returns the 'Result Type' literal with the specified name.
`java.lang.String` | `getLiteral()`
`java.lang.String` | `getName()`
`int` | `getValue()`
`java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
`static ResultType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ResultType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INCOMPLETE

    public static final ResultType INCOMPLETE

  The 'Incomplete' literal object.

  See Also:
    `INCOMPLETE_VALUE`

### SUCCESS

    public static final ResultType SUCCESS

  The 'Success' literal object.

  See Also:
    `SUCCESS_VALUE`

### FAILURE

    public static final ResultType FAILURE

  The 'Failure' literal object.

  See Also:
    `FAILURE_VALUE`

### ERROR

    public static final ResultType ERROR

  The 'Error' literal object.

  See Also:
    `ERROR_VALUE`

Field Detail

### INCOMPLETE_VALUE

    public static final int INCOMPLETE_VALUE

  The 'Incomplete' literal value.

  If the meaning of 'Incomplete' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INCOMPLETE`, Constant Field Values

### SUCCESS_VALUE

    public static final int SUCCESS_VALUE

  The 'Success' literal value.

  If the meaning of 'Success' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SUCCESS`, Constant Field Values

### FAILURE_VALUE

    public static final int FAILURE_VALUE

  The 'Failure' literal value.

  If the meaning of 'Failure' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FAILURE`, Constant Field Values

### ERROR_VALUE

    public static final int ERROR_VALUE

  The 'Error' literal value.

  If the meaning of 'Error' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ERROR`, Constant Field Values

### VALUES

    public static final java.util.List<ResultType> VALUES

  A public read-only list of all the 'Result Type' enumerators.

Method Detail

### values

    public static ResultType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ResultType c : ResultType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ResultType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static ResultType get(java.lang.String literal)

  Returns the 'Result Type' literal with the specified literal value.

### getByName

    public static ResultType getByName(java.lang.String name)

  Returns the 'Result Type' literal with the specified name.

### get

    public static ResultType get(int value)

  Returns the 'Result Type' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<ResultType>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD